Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | Static Public Member Functions | Friends | List of all members
testing::UnitTest Class Reference

## Public Member Functions
int | Run () GTEST_MUST_USE_RESULT_
const char * | original_working_dir () const
const TestCase * | current_test_case () const GTEST_LOCK_EXCLUDED_(mutex_)
const TestInfo * | current_test_info () const GTEST_LOCK_EXCLUDED_(mutex_)
int | random_seed () const
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | reportable_disabled_test_count () const
int | disabled_test_count () const
int | reportable_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | start_timestamp () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
const TestResult & | ad_hoc_test_result () const
TestEventListeners & | listeners ()

## Static Public Member Functions
static UnitTest * | GetInstance ()

## Friends
class | Test
class | internal::AssertHelper
class | internal::ScopedTrace
class | internal::StreamingListenerTest
class | internal::UnitTestRecordPropertyTestHelper
Environment * | AddGlobalTestEnvironment (Environment *env)
internal::UnitTestImpl * | internal::GetUnitTestImpl ()
void | internal::ReportFailureInUnknownLocation (TestPartResult::Type result_type, const std::string &message)

## Detailed Description

Definition at line 1151 of file gtest.h.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/tests/gtest/include/gtest/gtest.h